disabled USE_LIBNSS prevents using usb/SmartCard token with openswan

Bug #622 reported by Nicolas Romero on 2005-05-11
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
openswan (Ubuntu)
Wishlist
MOTU

Bug Description

It is not possible to use OpenSwan with an usb token because the smartcard support is not activated.

To enable the smartcard support it is necessary to
 * get the sources with apt-get source openswan
 * modify the USE_SMARTCARD value to true in Makefile.inc
 * rebuild the package with dpkg-buildpackage

Then, an usb ...

It is not possible to use OpenSwan with an usb token because the smartcard support is not activated.

To enable the smartcard support it is necessary to
 * get the sources with apt-get source openswan
 * modify the USE_SMARTCARD value to true in Makefile.inc
 * rebuild the package with dpkg-buildpackage

Then, an usb token (or any supported smartcard I presume) is usable.

Changed in openswan:
assignee: nobody → motu
Martin Bergner (martin-bergner) wrote :

Do you still experience this problem in Ubuntu Dapper?

Changed in openswan:
status: Unconfirmed → Needs Info

Well, in fact I just upgraded to Edgy Eft Beta staturday, and it seems
there is still a problem.

And when I upgraded to Dapper in June, I had to rebuild a package.

I think I have to do the same for Edgy Eft !

Hope this helps...

Ping! This is still not fixed and should be enabled for Hardy. openswan is meant to be the premier library for IPSec VPNs and there is currently no alternative for standard IPsec tooling that supports smartcards well on Linux.

Daniel T Chen (crimsun) on 2008-09-07
Changed in openswan:
importance: Medium → Wishlist
status: Incomplete → Triaged

If it is still relevant: openswan 2.6.23 removed the old smartcard code in favour of NSS so currently possible migration scenarios are evaluated

Changed in openswan (Ubuntu):
status: Triaged → Confirmed

USE_LIBNSS is not currently being set at compile time, so this still doesn't work out-of-the-box.

summary: - disabled smartcard support prevent using usb token with openswan
+ disabled USE_LIBNSS prevents using usb/SmartCard token with openswan
Richard Huddleston (rhuddusa) wrote :

i appear to be unable to use sha2 digest for x509 certificates in openswan because of this bug

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers